/*
 * GTK+(1.2.x)ѤPC-UNIXѥĢΥ
 *
 * ܸʸɤߤѴؿ
 * ʸɤưŪȽ̤ؿ              
 */

/*
 * Cmemo : Text Editor
 * kanji_conv.h - kanji convert header file
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* ʸɼ */ 
#define EUC_JP    0
#define SHIFT_JIS 1
#define JIS2022   2
#define UTF_8     3
#define BINARY    4
#define ASCII     5

/* ʸ */
#define CME_LF    0
#define CME_CR    1
#define CME_CRLF  2

/* ؿ */
int sjis_to_euc(unsigned char *pdest, unsigned char *psrc);
int jis_to_euc(unsigned char *pdest, unsigned char *psrc);
int euc_to_sjis(unsigned char *pdest, unsigned char *psrc);
unsigned int euc_to_jis_size(unsigned char *psrc);
int euc_to_jis(unsigned char *pdest, unsigned char *psrc);
int what_kanji_code(unsigned char *psrc);
int sjis_to_jis(unsigned char *pdest, unsigned char *psrc);
int all_to_lf(unsigned char *text);
void lf_to_cr(unsigned char *text);
void lf_to_crlf(unsigned char *pdest, unsigned char *psrc);
